import * as $dara from '@darabonba/typescript';
import { DescribeNeedAsyncQueryResponseBody } from "./DescribeNeedAsyncQueryResponseBody";
export declare class DescribeNeedAsyncQueryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeNeedAsyncQueryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
